import 'package:flutter/material.dart';

/// UI-element used to display the score of a finished quiz.
class Score extends StatelessWidget {
  final String score;

  const Score(this.score, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return RichText(
      text: TextSpan(
        style: DefaultTextStyle.of(context).style,
        children: <TextSpan>[
          TextSpan(
            text: "Score: $score",
            style: const TextStyle(fontSize: 28, color: Colors.black),
          ),
        ],
      ),
    );
  }
}
