library model_library;

import 'package:json_annotation/json_annotation.dart';
part 'answermodel.g.dart';

/// Is a dartobject model of the database value answer
@JsonSerializable()
class AnswerModel {
  AnswerModel(this.id, this.answerText, this.isCorrectAnswer);

  int id;
  String answerText;
  bool isCorrectAnswer;

  /// Transforms a json-object to a AnswerModel object.
  factory AnswerModel.fromJson(Map<String, dynamic> json) =>
      _$AnswerModelFromJson(json);

  /// Transforms a AnswerModel object to a jason-object.
  Map<String, dynamic> toJson() => _$AnswerModelToJson(this);
}
